get:
  tags:
    - Features toggle
  summary: Gets all the features.
  x-role: feature-api-admin
  operationId: getFeatures
  responses:
    200:
      description: OK
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '../../schemas/feature/feature_response.yaml'
    401:
      $ref: '../../openapi.yaml#/components/responses/Unauthorized'
    403:
      $ref: '../../openapi.yaml#/components/responses/Forbidden'
    404:
      $ref: '../../openapi.yaml#/components/responses/NotFound'
post:
  tags:
    - Features toggle
  summary: Create a feature.
  x-role: feature-api-admin
  operationId: createUpdateFeature
  requestBody:
    required: true
    content:
      application/json:
        schema:
          $ref: '../../schemas/feature/feature.yaml'
  responses:
    200:
      description: OK
      content:
        application/json:
          schema:
            $ref: '../../schemas/feature/feature_response.yaml'
    401:
      $ref: '../../openapi.yaml#/components/responses/Unauthorized'
    403:
      $ref: '../../openapi.yaml#/components/responses/Forbidden'
    404:
      $ref: '../../openapi.yaml#/components/responses/NotFound'